# $Revision: 1.18 $, $Date: 2003/11/26 01:25:45 $
Summary:	Version Control for Free systems
Summary(pl):	Version Control dla wolnodostpnych systemw
Name:		xemacs-vc-pkg
%define 	srcname	vc
Version:	1.38
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	b19fa9b253ec9335829c3289ea1b046b
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
Requires:	xemacs-dired-pkg
Requires:	xemacs-base-pkg
Requires:	/usr/lib/sendmail
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Version Control systems presently include support for SCCS, RCS, and
CVS.

%description -l pl
Version Control system obecnie zawiera wsparcie dla SCCS, RCS i CVS.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/vc/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-vc-pkg.spec,v $
Revision 1.18  2003/11/26 01:25:45  andree
- updated to 1.38

Revision 1.17  2003/09/09 10:25:02  ankry
- spaces -> tab

Revision 1.16  2003/05/28 13:03:07  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:28:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/11/30 23:00:31  juandon
- new %%doc

Revision 1.13  2002/07/04 07:47:06  kloczek
- updated to 1.33 (bug fixes).

Revision 1.12  2002/04/14 12:26:59  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.11  2002/02/23 05:20:04  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/27 19:35:02  kloczek
- updated to 1.30 (new stable version).

Revision 1.8  2002/01/18 02:15:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/20 15:52:22  qboosh
- release 2: adapterized

Revision 1.6  2001/08/02 08:47:05  mis
- autoupdated to 1.28

Revision 1.5  2001/05/11 18:54:05  mis
- autoupdated to 1.27

Revision 1.4  2001/02/28 22:19:30  kloczek
- added Requires: /usr/lib/sendmail,
- New Summary some %description.

Revision 1.3  2001/02/28 19:05:18  mis
- updated to 1.26

Revision 1.2  2001/02/13 18:52:13  mis
- updated to 1.25

Revision 1.1  2000/11/29 13:34:39  wiget
CVS mode for *free* systems (and only working CVS mode for xemacs)

Revision 1.6  2000/09/26 08:43:13  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.5  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:21  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:32  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 23:04:33  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
